%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           onboard
Version:        0.93.0
Release:        3%{?dist}
Summary:        Simple on-screen Keyboard

Group:          User Interface/Desktops
License:        GPLv2+
URL:            https://launchpad.net/onboard/
Source0:        http://launchpad.net/%{name}/0.93/%{version}/+download/%{name}-%{version}.tar.gz
# This is required to not initialize objects of the required libraries. Otherwise
# the setup needs a running X session
Patch0:         onboard-norequires.patch
# To build the .desktop files. This can be upstreamed:
Patch1:         onboard-setup.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  gnome-python2-gconf
BuildRequires:  pygtk2-devel
BuildRequires:  python-distutils-extra
BuildRequires:  intltool
BuildRequires:  python-setuptools
BuildRequires:  desktop-file-utils
BuildRequires:  gettext

Requires:       hicolor-icon-theme
Requires:       pycairo
Requires:       python-virtkey

BuildRequires:  GConf2
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2


%description
An on-screen keyboard useful on tablet PCs or for mobility impaired users.


%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}
#fix wrong permissons
chmod a+x %{buildroot}%{_datadir}/onboard/layoutstrings.py
for file in %{buildroot}%{python_sitelib}/Onboard/{settings,IconPalette,KeyboardSVG,utils}.py; do
   chmod a+x $file
done


mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install                                    \
    --remove-category="X-GNOME-PersonalSettings"        \
    --add-category="Utility;"                           \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-install                                    \
    --remove-category="X-GNOME-PersonalSettings"        \
    --add-category="Utility;"                           \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}%{_datadir}/applications/%{name}-settings.desktop

mkdir %{buildroot}%{_datadir}/locale
cp -a build/mo/* %{buildroot}%{_datadir}/locale
%find_lang %{name}

# Move schemas to the correct location
mkdir %{buildroot}/%{_sysconfdir}
mv %{buildroot}/%{_datadir}/gconf/ %{buildroot}/%{_sysconfdir}/


%clean
rm -rf %{buildroot}

%pre
%gconf_schema_prepare onboard

%post
%gconf_schema_upgrade onboard
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%preun
%gconf_schema_remove onboard

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README docs/
%{_bindir}/%{name}
%{_bindir}/%{name}-settings
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-settings.desktop
%{_sysconfdir}/gconf/schemas/onboard.schemas
%{_datadir}/icons/hicolor/scalable/apps/onboard.svg
%{_datadir}/icons/hicolor/scalable/apps/onboard2.svg
%{python_sitelib}/Onboard/
%{python_sitelib}/%{name}*.egg-info


%changelog
* Sun Aug 01 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 0.93.0-3
- Fix the build and the scriptlets

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.93.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu May 27 2010 Fabian Affolter <fabian@bernewireless.net> - 0.92.0-1
- Updated docs
- Updated to new upstream version 0.93.0

* Fri Dec 18 2009 Fabian Affolter <fabian@bernewireless.net> - 0.92.0-1
- Desktop file and icon removed
- Translations added
- MIME update added
- Updated to new upstream version 0.92.0

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.91.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.91.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 13 2008 Fabian Affolter <fabian@bernewireless.net> 0.91.2-3
- Clean-up
- gnome-python2 removed
- Fixed issues from Comment #2 in #472027

* Mon Dec 08 2008 Parag Nemade <panemade@gmail.com> 0.91.2-2
- spec cleanup 

* Tue Nov 17 2008 Fabian Affolter <fabian@bernewireless.net> 0.91.2-1
- Initial package for Fedora
